#ifndef SOUND_ANALYSIS_H
#define SOUND_ANALYSIS_H

#include <stdint.h>

#define SAMPLE_COUNT 1024
#define DESIRED_FS   4096

#define GTR_LOW   82     // Hz d2
#define GTR_HIGH  659   // Hz e5

void collect_audio_samples(void);
float detect_frequency(void);
int16_t get_max_sample(void);

#endif
